define([
  'jquery',
  'Magento_Ui/js/modal/modal',
  'matchMedia'
], function ($, modal, mediaCheck) {
  'use strict';


  mediaCheck({
    media: '(max-width: 1199px)',

    entry: function() {

      return {

        triggerFilterByModal: (function() {
          modal({
            'type': 'popup',
            'modalClass': 'modal-filter-by',
            'responsive': true,
            'innerScroll': true,
            'trigger': '.toolbar-filter-toggle',
            'buttons': [],
            'title': 'Filter products',
            'opened': function() {
              console.log('mobile filter opened');
            },
            'closed': function() {
              console.log('mobile filter closed');
            }
          }, $('.sidebar-main'));
        })()
      }
    },

    exit: function() {
      var getFilterSidebar = document.querySelector('.sidebar-main');
      var getColumns = document.querySelector('.columns');

      if (getFilterSidebar.parentElement.classList.contains('modal-content')) {
        getColumns.insertAdjacentElement('beforeend', getFilterSidebar);
        document.querySelector('.modal-filter-by').remove();

      }
    }
  })
});
